# Adds an Image as an Attached File to a recipe

User's client *MUST* be 366+ with cloud storage enabled

#### Permission Requirements
- Permission Path: **Recipes > Recipe Editor > Pictures and Links Tabs** (editor access required)

Endpoint: POST /recipes/{recipeId}/images
Version: v3.0: 3.30.0
Security: Auth API User Token

## Path parameters:

  - `recipeId` (string, required)

## Query parameters:

  - `description` (string)
    Description or Title of the Image file

## Request fields (multipart/form-data):

  - `file` (string)
    Image file

## Response 200 fields (application/json):

  - `id` (string)

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

